import { AdminDashboard } from '@kit/admin/components/admin-dashboard';
import { AdminGuard } from '@kit/admin/components/admin-guard';
import { PageBody, PageHeader } from '@kit/ui/page';

import { withI18n } from '~/lib/i18n/with-i18n';

function AdminPage() {
  return (
    <>
      <PageHeader title={`Super Admin`} />

      <PageBody>
        <AdminDashboard />
      </PageBody>
    </>
  );
}

export default withI18n(AdminGuard(AdminPage));
